> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/place-multi-order.md).

# Place Multi-Order

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/PlaceMultiOrder`

**QUERY PARAMETERS**

| Request Parameter   | Description                                                  | Mandatory |
| ------------------- | ------------------------------------------------------------ | --------- |
| broker              | Broker Code                                                  | Yes       |
| strategy            | Strategy Name                                                | Yes       |
| exchange            | Exchange name                                                | Yes       |
| symbol              | Trading Symbol                                               | Yes       |
| action              | Action                                                       | Yes       |
| product             | Product Type                                                 | Yes       |
| pricetype           | Price Type                                                   | Yes       |
| quantity            | Quantity                                                     | Yes       |
| price               | Price                                                        | Yes       |
| disclosed\_quantity | Disclosed Quantity                                           | No        |
| trigger\_price      | Trigger Price                                                | No        |
| amo                 | <p>AMO - It can be one of the following<br>YES<br>NO<br></p> | No        |
| splitorder          | split order                                                  | No        |
| split\_quantity     | split quantity                                               | No        |

<br>

{% code title="# Here is a curl example" %}

```
curl \
-X POST https://amapi.algomojo.com/v1/PlaceMultiOrder
```

{% endcode %}

{% code title="Request example :" %}

```
 {
     "api_key":"your_api_key",
     "api_secret":"your_api_secret",
     "data":
       {
           "orders" : 
             [
                 {
                 "api_key":"your_api_key",
                 "api_secret":"your_api_secret",
                 "data":{
                     "broker": "AN",
                     "strategy":"Test Strategy",
                     "exchange":"NSE",
                     "symbol":"YESBANK-EQ",
                     "action":"BUY",
                     "product":"CNC",
                     "pricetype":"MARKET",
                     "quantity":"4",
                     "price":"0",
                     "splitorder":"NO",
                     "split_quantity":"2"
                     }
                 },
                 {
                 "api_key":"your_api_key",
                 "api_secret":"your_api_secret",
                 "data":{
                     "broker":"ZB",
                     "strategy":"Test Strategy",
                     "exchange":"NSE",
                     "symbol":"YESBANK-EQ",
                     "action":"BUY",
                     "product":"CNC",
                     "pricetype":"MARKET",
                     "quantity":"4",
                     "price":"0",
                     "splitorder":"YES",
                     "split_quantity":"2"
                     }      
                 }
             ]
       }
 }
```

{% endcode %}

{% code title="Response example:" %}

```
 [
     {
         "status": "success",
         "data": {
             "broker": "AN",
             "orderid": "221122000714254"
         }
     },
     [
         {
             "status": "success",
             "data": {
                 "broker": "ZB",
                 "orderid": "221122000714256"
             }
         },
         {
             "status": "success",
             "data": {
                 "broker": "ZB",
                 "orderid": "221122000714258"
             }
         }
     ]
 ]
```

{% endcode %}
